## The `upc_memcpy` function

#### Synopsis

        #include <upc.h>
        void upc_memcpy(shared void * restrict dst,
                        shared const void * restrict src,
                        size_t n);

#### Description

The `upc_memcpy` function copies n characters from a shared object having affinity with one thread to a shared object having affinity with the same or another thread.

The `upc_memcpy` function treats the `dst` and `src` pointers as if they had type:

        shared [] char[n]

The effect is equivalent to copying the entire contents from one shared array object with this type (the `src` array) to another shared array object with this type (the `dst` array).

Terms, definitions, and symbols

Back to index of all UPC functions